/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package qsim.distributions;

import java.util.ArrayList;
import umontreal.iro.lecuyer.probdist.ContinuousDistribution;
import umontreal.iro.lecuyer.probdist.ExponentialDist;

/**
 *
 * @author joe
 */
public class PseudoHyperExpDist extends ContinuousDistribution{

    private ArrayList<ExponentialDist> dists;
    
    public PseudoHyperExpDist(ArrayList<ExponentialDist> dists){
        this.dists = dists;
    }
       
    /**
     * Pzseudo eloszlás függvény
     * @param arg0
     * @return
     */
    @Override
    public double density(double arg0) {
        return 0.5;
    }
    /**
     * Pszeudo szűrűség függvény
     * @param arg0
     * @return
     */
    @Override
    public double cdf(double arg0) {
        return 0.5;
    }

    @Override
    public double[] getParams() {
        double[] params = new double[dists.size()];
        for(int i = 0; i < dists.size(); i++){
            params[i] = dists.get(i).getLambda();
        }
        return params;
    }

    public ExponentialDist getExpDist(int index){
        return this.dists.get(index);
    }
}
